%{?nodejs_find_provides_and_requires}

Name:           nodejs-slide
Version:        1.1.6
Release:        %mkrel 5
Summary:        A flow control library that fits in a slideshow
Group:          System/Libraries
License:        ISC
URL:            https://github.com/isaacs/slide-flow-control
Source0:        https://registry.npmjs.org/slide/-/slide-%{version}.tgz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%description
Provides simple, easy callbacks for node.js.


%prep
%setup -q -n package
rm -rf node_modules


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/slide
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/slide
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/slide



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.6-5.mga10
+ Revision: 2207495
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.1.6-4.mga9
+ Revision: 1816919
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.6-3.mga8
+ Revision: 1492634
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 1.1.6-2.mga7
+ Revision: 1265274
- Mageia 7 Mass Rebuild

* Mon May 16 2016 neoclust <neoclust> 1.1.6-1.mga6
+ Revision: 1016187
- New version

* Mon Feb 08 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 950356
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 1.1.5-1.mga5
+ Revision: 794164
- imported package nodejs-slide


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 1.1.5-1.mga5
- import from FC

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.5-1
- update to upstream release 1.1.5
- add ExclusiveArch logic

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.4-1
- new upstream release 1.1.4

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-7
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-6
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-4
- add missing build section
- mention missing license

* Thu Apr 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-3
- missing package.json

* Thu Apr 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-2
- bring into conformance with newer library packaging standards
- guard Requires for F17 automatic dependency generation

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-1
- initial package
